Index: src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp
===================================================================
--- src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp	(revision 3e93bd4204b956fb44da8f6b8b768cda6e828e3e)
+++ src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,5 +53,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr ParserParseTremoloPotentialsAction::performCall() {
+ActionState::ptr ParserParseTremoloPotentialsAction::performCall() {
   boost::filesystem::ifstream test;
   FormatParser<tremolo> &parser = FormatParserStorage::getInstance().getParser<tremolo>();
@@ -74,5 +74,5 @@
 }
 
-Action::state_ptr ParserParseTremoloPotentialsAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr ParserParseTremoloPotentialsAction::performUndo(ActionState::ptr _state) {
 //  ParserLoadXyzState *state = assert_cast<ParserLoadXyzState*>(_state.get());
 
@@ -81,8 +81,8 @@
 //  state->mol->setName(state->lastName);
 //
-//  return Action::state_ptr(new ParserLoadXyzState(state->mol,newName));
+//  return ActionState::ptr(new ParserLoadXyzState(state->mol,newName));
 }
 
-Action::state_ptr ParserParseTremoloPotentialsAction::performRedo(Action::state_ptr _state){
+ActionState::ptr ParserParseTremoloPotentialsAction::performRedo(ActionState::ptr _state){
   return Action::failure;
 }
Index: src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.cpp
===================================================================
--- src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.cpp	(revision 3e93bd4204b956fb44da8f6b8b768cda6e828e3e)
+++ src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -54,5 +54,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr ParserSaveSelectedAtomsAsExtTypesAction::performCall() {
+ActionState::ptr ParserSaveSelectedAtomsAsExtTypesAction::performCall() {
   if (boost::filesystem::exists(params.filename.get())) {
     ELOG(1, "Specified exttypes file " << params.filename.get() << " already exists.");
@@ -75,9 +75,9 @@
 }
 
-Action::state_ptr ParserSaveSelectedAtomsAsExtTypesAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr ParserSaveSelectedAtomsAsExtTypesAction::performUndo(ActionState::ptr _state) {
   return Action::success;
 }
 
-Action::state_ptr ParserSaveSelectedAtomsAsExtTypesAction::performRedo(Action::state_ptr _state){
+ActionState::ptr ParserSaveSelectedAtomsAsExtTypesAction::performRedo(ActionState::ptr _state){
   return Action::success;
 }
Index: src/Actions/ParserAction/SetOutputFormatsAction.cpp
===================================================================
--- src/Actions/ParserAction/SetOutputFormatsAction.cpp	(revision 3e93bd4204b956fb44da8f6b8b768cda6e828e3e)
+++ src/Actions/ParserAction/SetOutputFormatsAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -52,5 +52,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr ParserSetOutputFormatsAction::performCall() {
+ActionState::ptr ParserSetOutputFormatsAction::performCall() {
   LOG(1, "Format list is: " << params.FormatList.get());
   for (vector<std::string>::const_iterator iter = params.FormatList.get().begin(); iter != params.FormatList.get().end(); ++iter) {
@@ -65,5 +65,5 @@
 }
 
-Action::state_ptr ParserSetOutputFormatsAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr ParserSetOutputFormatsAction::performUndo(ActionState::ptr _state) {
 //  ParserLoadXyzState *state = assert_cast<ParserLoadXyzState*>(_state.get());
 
@@ -72,8 +72,8 @@
 //  state->mol->setName(state->lastName);
 //
-//  return Action::state_ptr(new ParserLoadXyzState(state->mol,newName));
+//  return ActionState::ptr(new ParserLoadXyzState(state->mol,newName));
 }
 
-Action::state_ptr ParserSetOutputFormatsAction::performRedo(Action::state_ptr _state){
+ActionState::ptr ParserSetOutputFormatsAction::performRedo(ActionState::ptr _state){
   return Action::failure;
 }
Index: src/Actions/ParserAction/SetParserParametersAction.cpp
===================================================================
--- src/Actions/ParserAction/SetParserParametersAction.cpp	(revision 3e93bd4204b956fb44da8f6b8b768cda6e828e3e)
+++ src/Actions/ParserAction/SetParserParametersAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,5 +53,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr ParserSetParserParametersAction::performCall() {
+ActionState::ptr ParserSetParserParametersAction::performCall() {
   // get parser
   ParserTypes type = FormatParserStorage::getInstance().getTypeFromName(params.parsername.get());
@@ -70,8 +70,8 @@
   newparamstream >> *parameters;
 
-  return Action::state_ptr(new ParserSetParserParametersState(oldparamstream.str(), params));
+  return ActionState::ptr(new ParserSetParserParametersState(oldparamstream.str(), params));
 }
 
-Action::state_ptr ParserSetParserParametersAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr ParserSetParserParametersAction::performUndo(ActionState::ptr _state) {
   ParserSetParserParametersState *state = assert_cast<ParserSetParserParametersState*>(_state.get());
 
@@ -81,8 +81,8 @@
   oldparamstream >> *parser;
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr ParserSetParserParametersAction::performRedo(Action::state_ptr _state){
+ActionState::ptr ParserSetParserParametersAction::performRedo(ActionState::ptr _state){
   ParserSetParserParametersState *state = assert_cast<ParserSetParserParametersState*>(_state.get());
 
@@ -94,5 +94,5 @@
   newparamstream >> *parser;
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/ParserAction/SetTremoloAtomdataAction.cpp
===================================================================
--- src/Actions/ParserAction/SetTremoloAtomdataAction.cpp	(revision 3e93bd4204b956fb44da8f6b8b768cda6e828e3e)
+++ src/Actions/ParserAction/SetTremoloAtomdataAction.cpp	(revision b5b01e75eba142a4c305c63d6f27f45719579a8a)
@@ -53,5 +53,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr ParserSetTremoloAtomdataAction::performCall() {
+ActionState::ptr ParserSetTremoloAtomdataAction::performCall() {
   FormatParser<tremolo> &parser = FormatParserStorage::getInstance().getParser<tremolo>();
 
@@ -65,8 +65,8 @@
     parser.setAtomData(params.atomdata_string.get());
 
-  return Action::state_ptr(new ParserSetTremoloAtomdataState(old_atomdata, params));
+  return ActionState::ptr(new ParserSetTremoloAtomdataState(old_atomdata, params));
 }
 
-Action::state_ptr ParserSetTremoloAtomdataAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr ParserSetTremoloAtomdataAction::performUndo(ActionState::ptr _state) {
   ParserSetTremoloAtomdataState *state = assert_cast<ParserSetTremoloAtomdataState*>(_state.get());
 
@@ -75,8 +75,8 @@
   parser.resetAtomData(state->old_atomdata);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr ParserSetTremoloAtomdataAction::performRedo(Action::state_ptr _state){
+ActionState::ptr ParserSetTremoloAtomdataAction::performRedo(ActionState::ptr _state){
   ParserSetTremoloAtomdataState *state = assert_cast<ParserSetTremoloAtomdataState*>(_state.get());
 
@@ -88,5 +88,5 @@
     parser.setAtomData(state->params.atomdata_string.get());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
